VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmdraw 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "White Board"
   ClientHeight    =   6795
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   8325
   Icon            =   "frmdraw.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6795
   ScaleWidth      =   8325
   StartUpPosition =   3  'Windows Default
   Begin MSWinsockLib.Winsock sockDraw 
      Left            =   1320
      Top             =   6360
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.CommandButton cmddrawclear 
      Caption         =   "&Clear"
      Height          =   375
      Left            =   0
      TabIndex        =   1
      Top             =   6360
      Width           =   1215
   End
   Begin VB.PictureBox picture1 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   6255
      Left            =   0
      ScaleHeight     =   6195
      ScaleWidth      =   8235
      TabIndex        =   0
      Top             =   0
      Width           =   8295
      Begin VB.Timer tmrdrawclient 
         Interval        =   400
         Left            =   0
         Top             =   5760
      End
      Begin MSComDlg.CommonDialog cd1 
         Left            =   360
         Top             =   5760
         _ExtentX        =   847
         _ExtentY        =   847
         _Version        =   393216
      End
   End
   Begin VB.Menu mnufile 
      Caption         =   "&File"
      Begin VB.Menu mnusavepic 
         Caption         =   "&Save Picture"
      End
      Begin VB.Menu mnusep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuclear 
         Caption         =   "&Clear"
      End
      Begin VB.Menu mnusep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuexit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "frmdraw"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmddrawclear_Click()
picture1.Cls
sockDraw.SendData "CLEAR"
End Sub

Private Sub Form_Activate()
sockDraw.RemotePort = 1215
If frmmain.txtip.Text = "" Then
MsgBox " Enter Computer Name ", vbOKOnly, App.Title
Exit Sub
Else
sockDraw.RemoteHost = frmmain.txtip.Text
sockDraw.Connect
End If
End Sub

Private Sub mnuclear_Click()
cmddrawclear_Click
End Sub

Private Sub mnuexit_Click()
sockDraw.Close
Unload Me
End Sub

Private Sub mnusavepic_Click()
cd1.InitDir = App.Path
cd1.Filter = "Jpg Image (*.jpg)|*.jpg"
cd1.DialogTitle = "Remote Control"
cd1.ShowSave
If cd1.FileName <> "" Then
SavePicture picture1.Image, cd1.FileName
End If
End Sub

Private Sub picture1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button = 1 Then 'if user is clicking

'Draw it on our screen
picture1.DrawWidth = 10
picture1.Line (LastX, LastY)-(X, Y), RGB(255 * Rnd, 255 * Rnd, 255 * Rnd)

'Copy the data into the transmit buffer in my format (see top)
TransBuff = TransBuff & LastX & "," & LastY & "," & X & "," & Y & "," & "" & "%"



End If

LastX = X
LastY = Y

End Sub

Private Sub sockDraw_Close()
sockDraw.Close
Unload frmdraw
End Sub

Private Sub sockDraw_DataArrival(ByVal bytesTotal As Long)
Dim WData As String
sockDraw.GetData WData

If Left(WData, 3) = "DRW" Then 'Draw the other sides lines
Dim DrawBuff As String
DrawBuff = Right(WData, Len(WData) - 3) 'get rid of that "DRW"
Dim DLine
DLine = Split(DrawBuff, "%") 'Split it into each line (see top for format)
    For i = 0 To (UBound(DLine) - 1)  'for i=0 to number of lines to be drawn
    tmp = Split(DLine(i), ",")
    frmdraw.picture1.DrawWidth = 10
    frmdraw.picture1.Line (tmp(0), tmp(1))-(tmp(2), tmp(3)), RGB(255 * Rnd, 255 * Rnd, 255 * Rnd) 'That draws the line into the pic box, colors n' all :)
    Next
End If

If InStr(1, WData, "CLEAR") Then frmdraw.picture1.Cls 'Clear the picture box when told to


End Sub

Private Sub tmrdrawclient_Timer()
If Len(TransBuff) > 0 Then
If Len(TransBuff) > 1024 Then
Exit Sub
End If

sockDraw.SendData "DRW" & TransBuff
TransBuff = ""

End If
End Sub
